package com.sample.ikna.entity.billing;

import io.jmix.core.metamodel.annotation.ModelObject;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.time.LocalDate;

@ModelObject(name = "ikna_CardDetails")
@Embeddable
public class CardDetails {
    private static final long serialVersionUID = -7111681599120615516L;

    @Column(name = "BRAND")
    private String brand;

    @Column(name = "LAST_4_DIGITS")
    private String lastFourDigits;

    @Column(name = "EXPIRY_DATE")
    private LocalDate expiryDate;

    @Column(name = "HOLDER_NAME")
    private String holderName;

    @Column(name = "PAYMENT_GATE_TOKEN")
    private String paymentGateToken;

    public String getPaymentGateToken() {
        return paymentGateToken;
    }

    public void setPaymentGateToken(String paymentGateToken) {
        this.paymentGateToken = paymentGateToken;
    }

    public void setExpiryDate(LocalDate expiryDate) {
        this.expiryDate = expiryDate;
    }

    public LocalDate getExpiryDate() {
        return expiryDate;
    }

    public String getHolderName() {
        return holderName;
    }

    public void setHolderName(String holderName) {
        this.holderName = holderName;
    }

    public String getLastFourDigits() {
        return lastFourDigits;
    }

    public void setLastFourDigits(String lastFourDigits) {
        this.lastFourDigits = lastFourDigits;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }
}