package com.sample.ikna.entity.billing;

import io.jmix.core.metamodel.datatype.impl.EnumClass;
import io.jmix.core.metamodel.datatype.impl.EnumUtils;

import javax.annotation.Nonnull;

public enum TransactionState implements EnumClass<String> {
    SUCCESS("S"),
    DECLINE("D"),
    UNKNOWN_ERROR("E");

    private String id;

    TransactionState(String id) {
        this.id = id;
    }

    @Nonnull
    @Override
    public String getId() {
        return id;
    }

    public static TransactionState fromId(String id) {
        return EnumUtils.fromId(TransactionState.class, id);
    }
}
