package com.sample.ikna.entity.study;

import io.jmix.core.metamodel.annotation.InstanceName;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "IKNA_LANGUAGE")
@Entity(name = "ikna_Language")
public class Language {
    private static final long serialVersionUID = -2400812725586345389L;

    @Id
    @Column(name = "ISO_CODE", nullable = false)
    private String isoCode;

    @InstanceName
    @Column(name = "CAPTION", unique = true)
    private String caption;

    @Column(name = "ICON")
    private byte[] icon;

    public void setIcon(byte[] icon) {
        this.icon = icon;
    }

    public byte[] getIcon() {
        return icon;
    }

    public String getCaption() {
        return caption;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }

    public String getIsoCode() {
        return isoCode;
    }

    public void setIsoCode(String isoCode) {
        this.isoCode = isoCode;
    }
}