package com.sample.ikna.screen.card;

import io.jmix.ui.component.Button;
import io.jmix.ui.icon.Icons;
import io.jmix.ui.icon.JmixIcon;
import io.jmix.ui.screen.*;
import com.sample.ikna.entity.study.Card;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("ikna_Card.edit")
@UiDescriptor("card-edit.xml")
@EditedEntityContainer("cardDc")
public class CardEdit extends StandardEditor<Card> {
    @Autowired
    private Button okButton;
    @Autowired
    private Icons icons;

    @Subscribe
    public void onBeforeShow(BeforeShowEvent event) {
        okButton.setIcon(icons.get(JmixIcon.CLOUD));
    }
}